@import "src/constants";

.symbol {
  min-width: 20px;
  width: 20px;
  margin: 4px;
  border: 2px solid white;
  background-color: white;
}
.symbol.square {
  height: 20px;
}
.symbol.circle {
  height: 20px;
  border-radius: 10px;
}

.symbol.line {
  height: 3px;
  margin-top: 10px;
}

.legend-image-link {
  color: grey;
  margin-right: 3px;
  cursor: pointer;
}

.legend-image-link:hover {
  color: $primary;
}

.legend {
  width: 350px;
  cursor: default;
  user-select: none;
  transition: width 0.3s ease-out, height 0.3s ease-out;
}
.legend-header {
  padding: 10px 18px;
  display: flex;
  align-items: center;
  text-transform: uppercase;
}

.legend-entry {
  height: 30px;
  //display: flex;

  ::ng-deep .mat-checkbox-checked.disabled .mat-checkbox-background {
    background-color: lightgrey;
  }
}

.entry-header {
  width: 100%;
  height: 100%;
}

.entry-toggle {
  width: 24px;
  float: left;
}

.entry-prefix {
  width: 30px;
  float: left;
  height: 100%;
}

.entry-title {
  width: calc(100% - 60px);
  height: 100%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  .mat-form-field {
    width: 95%;
  }
}

.legend.edit {
  width: 470px;
  .entry-header {
    float: left;
    border-right: 1px solid lightgrey;
    width: 60%;
    padding-right: 5px;
    color: grey;
  }
}
.legend-layer-control {
  display: flex;
  width: 40%;
  padding-left: 5px;
  mat-checkbox {
    position: relative;
    top: 2px;
  }
  mat-slider {
    height: 30px;
  }
  .label-toggle{
    padding-left: 3px;
    cursor: pointer;
    color: grey;
    transform: translate(0px, -3px);
    width: 30px;
    border-radius: 15px;
    .mat-icon {
      transform: translate(0px, 3px);
    }
  }
  .label-toggle:hover:not(.disabled){
    background-color: #e9e9e9;
  }
  .label-toggle.disabled{
    color: lightgrey;
    pointer-events: none;
  }
  ::ng-deep {
    .mat-slider-wrapper {
      top: 11px;
    }
    .mat-slider-horizontal {
      min-width: 120px;
    }
  }
}
.checked .entry-title, .entry-title:hover {
  color: $primary !important;
}

::ng-deep app-legend .mat-expansion-panel {
  box-shadow: none;
  .mat-expansion-panel-body {
    padding: 8px 0px 8px 20px;
  }
}
